Bug 305902 - crash after setting of different calendars
Summary: crash after setting of different calendars
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: general (show other bugs)
Version: 4.8.x
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-27 21:22 UTC by jh40
Modified: 2012-08-28 13:00 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jh40 2012-08-27 21:22:53 UTC
Application: kontact (4.8.5)
KDE Platform Version: 4.8.5 (4.8.5) "release 521"
Qt Version: 4.8.2
Operating System: Linux 3.1.10-1.16-desktop x86_64
Distribution: "openSUSE 12.1 (x86_64)"

-- Information about the crash:
- Custom settings of the application:

while enabling of different akonadi resources kontact crashed

The crash can be reproduced some of the time.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f24dff39760 (LWP 26115))]

Thread 3 (Thread 0x7f24c75a3700 (LWP 26117)):
#0  0x00007f24d7ca5e6c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f24dc6fff52 in WTF::TCMalloc_PageHeap::scavengerThread (this=0x7f24dd0ef240) at ../../../Source/JavaScriptCore/wtf/FastMalloc.cpp:2495
#2  0x00007f24dc6fff89 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../../../Source/JavaScriptCore/wtf/FastMalloc.cpp:1618
#3  0x00007f24d7ca1f05 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f24dd44210d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f24c6c8a700 (LWP 26118)):
#0  0x00007f24dd438ff3 in poll () from /lib64/libc.so.6
#1  0x00007f24d7792ae8 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f24d7792fa9 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f24ddbb0e36 in QEventDispatcherGlib::processEvents (this=0x7f24c00008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f24ddb80842 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f24ddb80a97 in QEventLoop::exec (this=0x7f24c6c89e20, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f24dda805f7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f24dda8361b in QThreadPrivate::start (arg=0x758480) at thread/qthread_unix.cpp:307
#8  0x00007f24d7ca1f05 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f24dd44210d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f24dff39760 (LWP 26115)):
[KCrash Handler]
#6  KCalCore::Todo::hasDueDate (this=0x0) at /usr/src/debug/kdepimlibs-4.8.5/kcalcore/todo.cpp:193
#7  0x00007f24d23eef44 in KCalCore::Todo::dtDue (this=0x0, first=false) at /usr/src/debug/kdepimlibs-4.8.5/kcalcore/todo.cpp:181
#8  0x00007f2472dc9b56 in EventViews::IncidenceMonthItem::bgColor (this=0x1f48210) at /usr/src/debug/kdepim-4.8.5/calendarviews/eventviews/month/monthitem.cpp:651
#9  0x00007f2472dc7217 in EventViews::MonthGraphicsItem::paint (this=0x1f473b0, p=0x7fff2a744f80) at /usr/src/debug/kdepim-4.8.5/calendarviews/eventviews/month/monthgraphicsitems.cpp:234
#10 0x00007f24debb6929 in QGraphicsScenePrivate::draw (this=0x16566a0, item=0x1f473c0, painter=0x7fff2a744f80, viewTransform=0x0, transformPtr=0x1f48f80, exposedRegion=0x1657128, widget=0x165d120, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4964
#11 0x00007f24debb7455 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x16566a0, item=0x1f473c0, painter=0x7fff2a744f80, viewTransform=0x0, exposedRegion=0x1657128, widget=0x165d120, parentOpacity=<optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4857
#12 0x00007f24debb7c71 in QGraphicsScenePrivate::drawItems (this=0x16566a0, painter=0x7fff2a744f80, viewTransform=0x0, exposedRegion=0x1657128, widget=0x165d120) at graphicsview/qgraphicsscene.cpp:4739
#13 0x00007f24debd0920 in QGraphicsView::paintEvent (this=<optimized out>, event=<optimized out>) at graphicsview/qgraphicsview.cpp:3471
#14 0x00007f24de5eb5f6 in QWidget::event (this=0x1655d60, event=0x7fff2a745920) at kernel/qwidget.cpp:8517
#15 0x00007f24de9a71d6 in QFrame::event (this=0x1655d60, e=0x7fff2a745920) at widgets/qframe.cpp:557
#16 0x00007f24debd1bdb in QGraphicsView::viewportEvent (this=0x1655d60, event=0x7fff2a745920) at graphicsview/qgraphicsview.cpp:2866
#17 0x00007f24ddb81e98 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x165d120, event=0x7fff2a745920) at kernel/qcoreapplication.cpp:1025
#18 0x00007f24de59afaf in notify_helper (e=0x7fff2a745920, receiver=0x165d120, this=0x63f040) at kernel/qapplication.cpp:4547
#19 QApplicationPrivate::notify_helper (this=0x63f040, receiver=0x165d120, e=0x7fff2a745920) at kernel/qapplication.cpp:4523
#20 0x00007f24de59fdb3 in QApplication::notify (this=0x7fff2a747380, receiver=0x165d120, e=0x7fff2a745920) at kernel/qapplication.cpp:4412
#21 0x00007f24df2e1156 in KApplication::notify (this=0x7fff2a747380, receiver=0x165d120, event=0x7fff2a745920) at /usr/src/debug/kdelibs-4.8.5/kdeui/kernel/kapplication.cpp:311
#22 0x00007f24ddb81d0c in QCoreApplication::notifyInternal (this=0x7fff2a747380, receiver=0x165d120, event=0x7fff2a745920) at kernel/qcoreapplication.cpp:915
#23 0x00007f24de5e7296 in sendSpontaneousEvent (event=0x7fff2a745920, receiver=0x165d120) at ../../src/corelib/kernel/qcoreapplication.h:234
#24 QWidgetPrivate::drawWidget (this=0x165d150, pdev=0xe81070, rgn=..., offset=..., flags=68, sharedPainter=0x0, backingStore=0x7c0410) at kernel/qwidget.cpp:5594
#25 0x00007f24de7b39bc in QWidgetBackingStore::sync (this=0x7c0410) at painting/qbackingstore.cpp:1365
#26 0x00007f24de5ddff0 in QWidgetPrivate::syncBackingStore (this=0x75dce0) at kernel/qwidget.cpp:1892
#27 0x00007f24de5ebb0c in QWidget::event (this=0x75ea40, event=0x1f17260) at kernel/qwidget.cpp:8664
#28 0x00007f24de9c0c3b in QMainWindow::event (this=0x75ea40, event=0x1f17260) at widgets/qmainwindow.cpp:1478
#29 0x00007f24df3dd348 in KXmlGuiWindow::event (this=0x75ea40, ev=0x1f17260) at /usr/src/debug/kdelibs-4.8.5/kdeui/xmlgui/kxmlguiwindow.cpp:126
#30 0x00007f24de59afe4 in notify_helper (e=0x1f17260, receiver=0x75ea40, this=0x63f040) at kernel/qapplication.cpp:4551
#31 QApplicationPrivate::notify_helper (this=0x63f040, receiver=0x75ea40, e=0x1f17260) at kernel/qapplication.cpp:4523
#32 0x00007f24de59fdb3 in QApplication::notify (this=0x7fff2a747380, receiver=0x75ea40, e=0x1f17260) at kernel/qapplication.cpp:4412
#33 0x00007f24df2e1156 in KApplication::notify (this=0x7fff2a747380, receiver=0x75ea40, event=0x1f17260) at /usr/src/debug/kdelibs-4.8.5/kdeui/kernel/kapplication.cpp:311
#34 0x00007f24ddb81d0c in QCoreApplication::notifyInternal (this=0x7fff2a747380, receiver=0x75ea40, event=0x1f17260) at kernel/qcoreapplication.cpp:915
#35 0x00007f24ddb855ba in sendEvent (event=0x1f17260, receiver=0x75ea40) at kernel/qcoreapplication.h:231
#36 QCoreApplicationPrivate::sendPostedEvents (receiver=0x75ea40, event_type=77, data=0x60da60) at kernel/qcoreapplication.cpp:1539
#37 0x00007f24debac98a in dispatchPendingUpdateRequests (this=0x1656ca0) at ../../src/gui/graphicsview/qgraphicsview_p.h:200
#38 QGraphicsScenePrivate::_q_processDirtyItems (this=0x16566a0) at graphicsview/qgraphicsscene.cpp:515
#39 0x00007f24debacae1 in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at .moc/release-shared/moc_qgraphicsscene.cpp:107
#40 QGraphicsScene::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qgraphicsscene.cpp:86
#41 0x00007f24ddb9ae06 in QObject::event (this=0x1656500, e=<optimized out>) at kernel/qobject.cpp:1204
#42 0x00007f24debb3659 in QGraphicsScene::event (this=0x1656500, event=0x1f43ac0) at graphicsview/qgraphicsscene.cpp:3565
#43 0x00007f24de59afe4 in notify_helper (e=0x1f43ac0, receiver=0x1656500, this=0x63f040) at kernel/qapplication.cpp:4551
#44 QApplicationPrivate::notify_helper (this=0x63f040, receiver=0x1656500, e=0x1f43ac0) at kernel/qapplication.cpp:4523
#45 0x00007f24de59fdb3 in QApplication::notify (this=0x7fff2a747380, receiver=0x1656500, e=0x1f43ac0) at kernel/qapplication.cpp:4412
#46 0x00007f24df2e1156 in KApplication::notify (this=0x7fff2a747380, receiver=0x1656500, event=0x1f43ac0) at /usr/src/debug/kdelibs-4.8.5/kdeui/kernel/kapplication.cpp:311
#47 0x00007f24ddb81d0c in QCoreApplication::notifyInternal (this=0x7fff2a747380, receiver=0x1656500, event=0x1f43ac0) at kernel/qcoreapplication.cpp:915
#48 0x00007f24ddb855ba in sendEvent (event=0x1f43ac0, receiver=0x1656500) at kernel/qcoreapplication.h:231
#49 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x60da60) at kernel/qcoreapplication.cpp:1539
#50 0x00007f24ddbb09a3 in sendPostedEvents () at kernel/qcoreapplication.h:236
#51 postEventSourceDispatch (s=0x63d290) at kernel/qeventdispatcher_glib.cpp:279
#52 0x00007f24d77925dd in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#53 0x00007f24d7792dd8 in ?? () from /usr/lib64/libglib-2.0.so.0
#54 0x00007f24d7792fa9 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#55 0x00007f24ddbb0dcf in QEventDispatcherGlib::processEvents (this=0x60d320, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#56 0x00007f24de63e69e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#57 0x00007f24ddb80842 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#58 0x00007f24ddb80a97 in QEventLoop::exec (this=0x7fff2a747310, flags=...) at kernel/qeventloop.cpp:204
#59 0x00007f24ddb858b5 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#60 0x0000000000403919 in ?? ()
#61 0x00007f24dd38823d in __libc_start_main () from /lib64/libc.so.6
#62 0x0000000000403e51 in _start ()

Possible duplicates by query: bug 286773, bug 284389.

Reported using DrKonqi
Comment 1 Allen Winter 2012-08-28 13:00:34 UTC
Git commit 4da9a40cbe897658a00130736c9cf9d5c3047eec by Allen Winter.
Committed on 28/08/2012 at 14:58.
Pushed by winterz into branch 'KDE/4.9'.

in bgColor(), add a crash guard for todo == 0

FIXED-IN: 4.9.1
MERGE: master

M  +10   -8    calendarviews/eventviews/month/monthitem.cpp

http://commits.kde.org/kdepim/4da9a40cbe897658a00130736c9cf9d5c3047eec